## Get Domain Details `client.intel.domains.get(DomainGetParamsparams, RequestOptionsoptions?): Domain` **get** `/accounts/{account_id}/intel/domain` Gets security details and statistics about a domain. ### Parameters - `params: DomainGetParams` - `account_id: string` Path param: Identifier. - `domain?: string` Query param ### Returns - `Domain` - `additional_information?: AdditionalInformation` Additional information related to the host name. - `suspected_malware_family?: string` Suspected DGA malware family. - `application?: Application` Application that the hostname belongs to. - `id?: number` - `name?: string` - `content_categories?: Array` - `id?: number` - `name?: string` - `super_category_id?: number` - `domain?: string` - `inherited_content_categories?: Array` - `id?: number` - `name?: string` - `super_category_id?: number` - `inherited_from?: string` Domain from which `inherited_content_categories` and `inherited_risk_types` are inherited, if applicable. - `inherited_risk_types?: Array` - `id?: number` - `name?: string` - `super_category_id?: number` - `popularity_rank?: number` Global Cloudflare 100k ranking for the last 30 days, if available for the hostname. The top ranked domain is 1, the lowest ranked domain is 100,000. - `resolves_to_refs?: Array` Specifies a list of references to one or more IP addresses or domain names that the domain name currently resolves to. - `id?: string` STIX 2.1 identifier: https://docs.oasis-open.org/cti/stix/v2.1/cs02/stix-v2.1-cs02.html#_64yvzeku5a5c. - `value?: string` IP address or domain name. - `risk_score?: number` Hostname risk score, which is a value between 0 (lowest risk) to 1 (highest risk). - `risk_types?: Array` - `id?: number` - `name?: string` - `super_category_id?: number` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const domain = await client.intel.domains.get({ account_id: '023e105f4ecef8ad9ca31a8372d0c353' }); console.log(domain.additional_information); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "additional_information": { "suspected_malware_family": "" }, "application": { "id": 0, "name": "CLOUDFLARE" }, "content_categories": [ { "id": 155, "name": "Technology", "super_category_id": 26 } ], "domain": "cloudflare.com", "inherited_content_categories": [ { "id": 0, "name": "name", "super_category_id": 0 } ], "inherited_from": "inherited_from", "inherited_risk_types": [ { "id": 0, "name": "name", "super_category_id": 0 } ], "popularity_rank": 0, "resolves_to_refs": [ { "id": "ipv4-addr--baa568ec-6efe-5902-be55-0663833db537", "value": "192.0.2.0" } ], "risk_score": 0, "risk_types": [ { "id": 0, "name": "name", "super_category_id": 0 } ] } } ```